Bug 2498 - cacl_get() doesn't allow to only show the ACLs
cacl_get() doesn't allow to only show the ACLs
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.12
All Linux
: P3 enhancement
: none
Assigned To: Derrell Lipman
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-19 17:13 UTC by Lars Müller
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments
Add all_nt_acls boolean and additional ACLs output without the ACL prefix. (3.02 KB, patch)
2005-03-19 17:32 UTC, Lars Müller
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Müller 2005-03-19 17:13:35 UTC
It's poissible to show the revision, owner, or group attr alone.  It's also
possible to request one specific ACL.  But it's impossible to request only all ACLs.

Patch follows as soon as build tested on all architectures.
Comment 1 Lars Müller 2005-03-19 17:32:16 UTC
Created attachment 1053 [details]
Add all_nt_acls boolean and additional ACLs output without the ACL prefix.

Might be merged with the code before which requests a specific ACL.
Comment 2 Derrell Lipman 2005-03-30 21:56:37 UTC
Patch applied.  Thanks!
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:18:29 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.